# Copyright (c) 2014 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

# vim: set sw=4 ts=4 et nu:

Name:           qsynth
Version:        0.3.8
Release:        1.2
Summary:        Graphical User Interface for fluidsynth
Source:         http://downloads.sourceforge.net/qsynth/qsynth-%{version}.tar.gz
Patch1:         qsynth-fix_desktop_file.patch
Patch2:         qsynth-remove_build_timestamps.patch
URL:            http://qsynth.sourceforge.net/qsynth-index.html
Group:          Productivity/Multimedia/Sound/Midi
License:        GPL-2.0+
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  libqt4-devel >= 4.4
BuildRequires:  fluidsynth-devel
BuildRequires:  gcc-c++ make glibc-devel pkgconfig
BuildRequires:  autoconf automake libtool
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme

%description
Qsynth is a fluidsynth GUI front-end application written in C++ around the Qt4
toolkit using Qt Designer. Eventually it may evolve into a softsynth management
application allowing the user to control and manage a variety of command line
softsynth but for the moment it wraps the excellent FluidSynth. FluidSynth is a
command line software synthesiser based on the Soundfont specification.

%prep
%setup -q
%patch1
%patch2

%build
export QMAKE_CXXFLAGS="%{optflags}"
%configure \
    --enable-system-tray \
    --enable-gradient

cat<<EOF >>src/src.pro
QMAKE_CFLAGS_RELEASE = %{optflags}
EOF

# do *NOT* build with -j, that breaks
make %{?smp_mflags}

%install
%makeinstall

%suse_update_desktop_file -r "%{name}" AudioVideo Midi

L="$PWD/.lang"
echo -n >"$L"
pushd "%{buildroot}%{_datadir}/locale"
/bin/ls -1 *.qm | while read f; do
    [ -e "$f" ] || continue
    l="${f##*_}"
    l="${l%.qm}"
    echo "%lang($l) %{_datadir}/locale/$f" >>"$L"
done
popd

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f .lang
%defattr(-,root,root)
%{_bindir}/qsynth
%{_datadir}/applications/qsynth.desktop
%{_datadir}/icons/*/*/apps/qsynth.png

%changelog
* Sat Jan  4 2014 pascal.bleser@opensuse.org
- update to 0.3.8:
  * Serbian (sr) translation added
- changes from 0.3.7:
  * new French (fr) translation
  * reversed (mouse) scroll-wheel effect on dial knob widgets
  * MIDI bank select mode control added to engine setup dialog
  * main window is now brought to front and (re)activated when clicking on the
    system tray icon instead of just hiding it
* Thu Jan  5 2012 pascal.bleser@opensuse.org
- initial version (0.3.6)
